Bug 212137 - squid does not support >1024 file descriptors
squid does not support >1024 file descriptors
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
Depends On:
Blocks: 580639 580640 580641
  Show dependency treegraph
Reported: 2006-10-25 05:32 EDT by Martin Stransky
Modified: 2010-04-08 13:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 580639 580640 580641 (view as bug list)
Last Closed: 2007-05-01 19:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2006-10-25 07:44:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 moylo 2006-12-05 07:14:43 EST
It seems that this was fixed in 3.8. but not in 4.4. Centos have an RPM with the
forward patch available in their centosplus repository. Can't this be fixed in
RHEL too?
Comment 4 ratness 2007-01-04 17:19:57 EST
So this was fixed in RHEL3 (RHBA-2006-0322), and not in 4?  What's the holdup?
Comment 8 Martin Stransky 2007-02-09 10:32:36 EST

If you'd like to use this feature, you have to edit /etc/squid/squid.conf (a
max_filedesc directive, it's at end of the file) and set the same value via.
ulimit (#ulimit -n max_filedesc_number). You can check it by "#ulimit -n".
Comment 10 Red Hat Bugzilla 2007-05-01 19:28:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.